# PharMetadataElement

Extends \PharMetadata

package | phing.tasks.ext.phar
author | Alexey Shockov alexey@shockov.com
since | 2.4.0

### Methods

## createElement

    createElement() : \PharMetadataElement

inherited

### Response

`\PharMetadataElement`

## getName

    getName() : string

### Response

`string`

## Return array of

    getValue() : string|array

### Response

`string|array`

## setName

    setName(string $name)

### Arguments

#### $name

`string`

## setValue

    setValue(string $value)

### Arguments

#### $value

`string`

## toArray

    toArray() : array

inherited

### Response

`array`

### Properties

## name

    name : string

var |

### Type(s)

`string`

## value

    value : string

var |

### Type(s)

`string`

## elements

    elements : array

inherited

var |

### Type(s)

`array`